﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using Infragiestics_DragDropControls.Model;


namespace Infragiestics_DragDropControls
{
    public class LandingPageViewModel : INotifyPropertyChanged
    {
        private List<TestModel> _ModelList;
        public List<TestModel> ModelList
        {
            get { return _ModelList; }
            set { _ModelList = value; OnPropertyChanged("ModelList"); }
        }
        public LandingPageViewModel()
        {
            FillData();
        }

        private void FillData()
        {
            ModelList = new List<TestModel>()
            {
                new TestModel(){ TestName="Test1",
                    TotalCount= new List<TotalCountModel>(){ new TotalCountModel(){PassedCount= 60,FailedCount= 40}}},
                new TestModel(){ TestName="Test2",
                    TotalCount= new List<TotalCountModel>(){ new TotalCountModel(){PassedCount= 80,FailedCount= 20}}},
                    new TestModel(){ TestName="Test3",
                    TotalCount= new List<TotalCountModel>(){ new TotalCountModel(){PassedCount= 40,FailedCount= 60}}},
                    new TestModel(){ TestName="Test4",
                    TotalCount= new List<TotalCountModel>(){ new TotalCountModel(){PassedCount=2,FailedCount= 40}}},
                
            };
        }
        #region INotifyPropertyChanged
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion
    }
}
